# 59. الاستعلام: الحصول على "AsAppliedDatasets"

الحصول على جميع "AsAppliedDatasets" للمَـرحَـلة المختارة "Field". يمكن جلب مجموعات البيانات باستخدام استعلامات GraphQL العامة مثل `getFarms` و `getFields` من "الحقل" المرتبط.&#x20;

{% hint style="warning" %}
يجب رفع "AsAppliedDataset" مسبقًا.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    الاسم
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        الاسم
        number #إجمالي عدد المعالم الجغرافية 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        السمات (attributes)
        
        fullAttributes { #تفاصيل كاملة لكل سمة
          name #رابط لإحصاءات >> السمة
          transliteratedName
          fullName #الاسم الصحيح المقروء للبشر
          unit#وحدات القياس
        }

        usedMachines { #الآلات المستخدمة
          معرّف
          serial
          operatorId
        } 

        createdDate #تاريخ ووقت إنشاء الكيان في GeoPard
        updatedDate #تاريخ ووقت آخر تحديث
        operationId
        operationType
        operationFileDate #تاريخ ووقت إنشاء الملف يأتي من معلومات التعريف 
        operationStartDate #بداية العملية تأتي من معلومات التعريف
        
        statistics { #توزيع الإحصاءات لكل سمة
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        خرائط_جغرافية {
          رابط
          الاسم_القصير
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        الاسم
        number #إجمالي عدد المعالم الجغرافية 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        السمات (attributes)
        
        fullAttributes { #تفاصيل كاملة لكل سمة
          name #رابط لإحصاءات >> السمة
          transliteratedName
          fullName #الاسم الصحيح المقروء للبشر
          unit#وحدات القياس
        }

        usedMachines { #الآلات المستخدمة
          معرّف
          serial
          operatorId
        } 

        createdDate #تاريخ ووقت إنشاء الكيان في GeoPard
        updatedDate #تاريخ ووقت آخر تحديث
        operationId
        operationType
        operationFileDate #تاريخ ووقت إنشاء الملف يأتي من معلومات التعريف 
        operationStartDate #بداية العملية تأتي من معلومات التعريف
        
        statistics { #توزيع الإحصاءات لكل سمة
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        خرائط_جغرافية {
          رابط
          الاسم_القصير
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/59.-alastalam-alhswl-ala-asapplieddatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
